Eleusis La Arwall

Cloud configurations for Outer Planets Mod [Last Update: 2015.09.23]

Recommended Posts

I've only tried with Sigma Mod Expansions. I have no idea if that's relevant, though I'm guessing given how the mod's layout is that it doesn't matter if SME are installed.

Exactly :)

but I asked anyway just to be sure ;)

Share this post


Link to post
Share on other sites

After updating this morning to 1.8.1, I got a bunch of MM errors. I dug this out of the output log. It repeats 39 times.

[ModuleManager] Applying node OPMClouds/ModDeleter/@CLOUD_LAYER_PACK:HAS[#CloudsPack

[*],#OPMClouds

[*]] to OPMClouds/Auroras/OPM-AVG-Auroras/CLOUD_LAYER_PACK

(Filename: C:/buildslave/unity/build/artifacts/StandalonePlayerGenerated/UnityEngineDebug.cpp Line: 56)

[ModuleManager] Error - Cannot parse variable search when editing key CloudsPack = #$@CLOUD_LAYER_PACK[MainCloudsPack]/CloudsPack$

Share this post


Link to post
Share on other sites
After updating this morning to 1.8.1, I got a bunch of MM errors. I dug this out of the output log. It repeats 39 times.

[ModuleManager] Applying node OPMClouds/ModDeleter/@CLOUD_LAYER_PACK:HAS[#CloudsPack

[*],#OPMClouds

[*]] to OPMClouds/Auroras/OPM-AVG-Auroras/CLOUD_LAYER_PACK

(Filename: C:/buildslave/unity/build/artifacts/StandalonePlayerGenerated/UnityEngineDebug.cpp Line: 56)

[ModuleManager] Error - Cannot parse variable search when editing key CloudsPack = #$@CLOUD_LAYER_PACK[MainCloudsPack]/CloudsPack$

this is because the current OPMClouds is not compatible with the latest AVG (I suppose that's the pack you have installed)

I'm working on it :)

if that's not the pack you are using I'll need to know which one you use and if you added modifications to it :)

cheers

Share this post


Link to post
Share on other sites

if that's not the pack you are using I'll need to know which one you use and if you added modifications to it :)

cheers

Ah, no. I was using Astronomer's pack, but I removed it when I was trying to bring up my framerate. Which of course was the problem all along, because this mod just puts other cloud makers onto OPM, not its own. *headdesk*

In my derpy defense, CKAN doesn't actually say it depends on having a cloud maker already installed.

Share this post


Link to post
Share on other sites
Ah, no. I was using Astronomer's pack, but I removed it when I was trying to bring up my framerate. Which of course was the problem all along, because this mod just puts other cloud makers onto OPM, not its own. *headdesk*

In my derpy defense, CKAN doesn't actually say it depends on having a cloud maker already installed.

I'll contact the CKAN ppl to see if they can fix that :)

Share this post


Link to post
Share on other sites

Sigma I know you have spent a lot of time and brain damage dealing with these cloud packs and so not expecting anything here at all... but I'm curious if you have looked at compatibility with WIP EVE Overhaul? The RVE port to stock "SVE" is looking pretty nice and it runs on WIP EVE.

No problem if not, I may end up trying to hack together the OPM EVE configs for WIP EVE but figured I should ask first.

Share this post


Link to post
Share on other sites
Sigma I know you have spent a lot of time and brain damage dealing with these cloud packs and so not expecting anything here at all... but I'm curious if you have looked at compatibility with WIP EVE Overhaul? The RVE port to stock "SVE" is looking pretty nice and it runs on WIP EVE.

No problem if not, I may end up trying to hack together the OPM EVE configs for WIP EVE but figured I should ask first.

Hi antilochus :)

before looking at EVE Overhaul I'll wait for it's official release, every time I have tried to bring up the point of compatibility issues rbray assured me that WIP EVE will have features that will allow to have better compatibility.

when WIP EVE will be released I have no doubt that a lot of packs will come out that will use WIP EVE as a base for their clouds

(like KSPRC, AVP and AVG do right now)

at that point, if those mods will be done in a way that will allow for easy compatibility I will surely update the cfgs in OPMClouds to take advantage of that.

On the other hand, if the attitude of the mods won't cange (everyone just redistributing EVE and overwriting its files, making it a mess for me to understand which mods is installed) I don't think I'll bother wasting time to do complicated cfg stuff like I'm doing for EVE_7-4 now. Ultimately, I have a job that takes out a good part of my day, and doing mods for KSP is just an hobby for me. So I rather sink my free time on other projects like GalacticNeighborhood or SigmaBinary :)

Share this post


Link to post
Share on other sites

I like the fact that it uses the clouds for the mod you have installed but for me that is a bit of a problem. I use the EVE mod because it's updated but I like KSPRC clouds more so I use those instead. Any chance I could just get the download in the mean time for KSPRC and then maybe later you could "fix" this? Thanks. (There is a full step by step tutorial on how to get KSPRC clouds with EVE through this link: https://www.reddit.com/r/KerbalSpaceProgram/comments/37nedh/installing_mods_to_make_ksp_look_nicer_step_by/ )

Share this post


Link to post
Share on other sites

I do something similar and have requested this previously but it resulted, fairly, in Sigma stating that if you run custom GFX packs then you can just browse through the .cfg files and pick out the parts you require and then just delete all the other unnecessary files.

Its not too much hassle to be honest.

Share this post


Link to post
Share on other sites
I like the fact that it uses the clouds for the mod you have installed but for me that is a bit of a problem. I use the EVE mod because it's updated but I like KSPRC clouds more so I use those instead. Any chance I could just get the download in the mean time for KSPRC and then maybe later you could "fix" this? Thanks. (There is a full step by step tutorial on how to get KSPRC clouds with EVE through this link: https://www.reddit.com/r/KerbalSpaceProgram/comments/37nedh/installing_mods_to_make_ksp_look_nicer_step_by/ )
I do something similar and have requested this previously but it resulted, fairly, in Sigma stating that if you run custom GFX packs then you can just browse through the .cfg files and pick out the parts you require and then just delete all the other unnecessary files.

Its not too much hassle to be honest.

yeah sorry about that, I don't really have the time to make up for the lack of compatibility EVE has.

plus, the new EVE Overhaul should bring a lot of compatibility enhancements (or at least that's what I got answered when I asked about those problems).

So I will wait for the new EVE to be released, and when it does I'll try to make this pack use those compatibility enhancements that will be added.

PS: just to be clear

limitations are not as much in EVE per se, but in how all the different mods for EVE are made. (even tho EVE could use some improvement too)

Edited by Sigma88

Share this post


Link to post
Share on other sites
I do something similar and have requested this previously but it resulted, fairly, in Sigma stating that if you run custom GFX packs then you can just browse through the .cfg files and pick out the parts you require and then just delete all the other unnecessary files.

Its not too much hassle to be honest.

I actually ran the full mod with all the clouds installed and for whatever reason it used the KSPRC clouds. :)

Share this post


Link to post
Share on other sites
Sigma I know you have spent a lot of time and brain damage dealing with these cloud packs and so not expecting anything here at all... but I'm curious if you have looked at compatibility with WIP EVE Overhaul? The RVE port to stock "SVE" is looking pretty nice and it runs on WIP EVE.

No problem if not, I may end up trying to hack together the OPM EVE configs for WIP EVE but figured I should ask first.

looks like rbray maintained his promise, now EVE is split in two parts giving other modders zero reason to use the boulderco folder.

this will help a lot with "checking which mod is installed".

now we just need to hope that the cloud mods will in fact use their own folder, rather than using boulderco

Share this post


Link to post
Share on other sites

Ok im about ready to put my foot through my monitor. I really want this to work but for some reason it refuses to. Is there something im not doing during install? I have EVE and KSPRC installed (parts of both) i extracted this to my game data folder but the outer planets are not showing any clouds or auroras or anything.

Share this post


Link to post
Share on other sites
Ok im about ready to put my foot through my monitor. I really want this to work but for some reason it refuses to. Is there something im not doing during install? I have EVE and KSPRC installed (parts of both) i extracted this to my game data folder but the outer planets are not showing any clouds or auroras or anything.

This mod is designed to work with:

- Ksp 1.0.4

- EVE 7-4 (which is the old release)

- ksprc

If you have updated any of these mods to the newer versions it's not guaranteed to work

Share this post


Link to post
Share on other sites

Ya, this mods cfg files error out with MM and the new EVE release. I like all the clouds so I'm sticking with EVE 7-4 for now LOL. It'll almost be a shame when this gets updated tho, since I don't know if anyone will make duna dust storms a thing again, since it was sort of a one off from what I can gather.

1st world problems, eh?

Share this post


Link to post
Share on other sites
Ya, this mods cfg files error out with MM and the new EVE release. I like all the clouds so I'm sticking with EVE 7-4 for now LOL. It'll almost be a shame when this gets updated tho, since I don't know if anyone will make duna dust storms a thing again, since it was sort of a one off from what I can gather.

1st world problems, eh?

You will still be able to download the old versions of this mod and all the other mods required to have the dust storms

but I am willing to bet that someone will come up with the dust storms for the new EVE ;)

Share this post


Link to post
Share on other sites
looks like rbray maintained his promise, now EVE is split in two parts giving other modders zero reason to use the boulderco folder.

this will help a lot with "checking which mod is installed".

now we just need to hope that the cloud mods will in fact use their own folder, rather than using boulderco

great stuff! really appreciate all your work here.

Share this post


Link to post
Share on other sites
[quote name='Sigma88']but I am willing to bet that someone will come up with the dust storms for the new EVE ;)[/QUOTE]
Cross-post from EVE thread:

[imgur]yYph4[/imgur]

[imgur]i2UUi[/imgur]

I've been playing around a bit. :D On to Thatmo next.

Share this post


Link to post
Share on other sites
Wow, that's gorgeous. Love it! I almost feel like it should focus more on the haze instead of the clouds if you're going for a Titan kind of thing, though.

Share this post


Link to post
Share on other sites

This is not working for me.

I have outer planets installed, and working, I have EVE installed and working.

I even have the sigma Jool and EVE recolors installed and working.

I have the newest module manager installed.

Nothing from this mod is doing anything at all.

Any idea what is going on?

Share this post


Link to post
Share on other sites
On 3/12/2015, 00:50:22, ravensoul6@hotmail.com said:

This is not working for me.

I have outer planets installed, and working, I have EVE installed and working.

I even have the sigma Jool and EVE recolors installed and working.

I have the newest module manager installed.

Nothing from this mod is doing anything at all.

Any idea what is going on?

 

On 6/12/2015, 22:35:05, TaintedLion said:

I'm using Avg's cloud pack and none of this is working for me.

 

21 hours ago, TaintedLion said:

Can anyone help me with my ACP v8 issue I'm not getting clouds.

hi there,

sorry for the delayed reply, but I'm busy IRL and when the new forum changed I lost track of this thread.

me and Eleusis are both busy IRL at the moment, i don't know if Eleusis is interested in keeping EVE support, if I get some time I will see if I can update this.

For now your only choice is to use this mod with EVE7-4 and the old versions of the supported mods that were made to work with EVE7-4

I could post the link to those versions if that helps

 

edit:

anyway, even if I was to update this to use the current version of EVE I would do it when the new config structure will be released... so for sure not untill the next EVE patch ;) 

Edited by Sigma88

Share this post


Link to post
Share on other sites

Hey Sigma, I know you're busy at the moment (who with a day job isn't ;) ) but my question relates to the ones above:

Due to some mods messing my KSP install I completely wiped the game an started anew, now using CKAN. I have installed the EVE version featured there (1.0.5-4 I think), also OPM 1.9.2 and Sigma binary --> everything works fine. But when I try to use OPM Clouds I get the same 39 errors on ModDeleter.cfg mentione above.

Quote

[ModuleManager] Error - Cannot parse variable search when editing key CloudsPack = #$@CLOUD_LAYER_PACK[MainCloudsPack]/CloudsPack$

Since I am not afraid to mess around the config files (hey, I had to learn Turbo Pascal 5 back in the day ;) ), is there a way to manually fix this? I would like to concentrate on clouds, I don't mind any glow or aurora not working. I don't need a step by step guide, just a hint to point me in the right direction.

It appears to me, though, that EVE has changed the structure/syntax of its .cfg files compared to the OPM clouds .cfg files. Am I seeing this correctly?

Share this post


Link to post
Share on other sites
2 hours ago, ShadowZone said:

Hey Sigma, I know you're busy at the moment (who with a day job isn't ;) ) but my question relates to the ones above:

Due to some mods messing my KSP install I completely wiped the game an started anew, now using CKAN. I have installed the EVE version featured there (1.0.5-4 I think), also OPM 1.9.2 and Sigma binary --> everything works fine. But when I try to use OPM Clouds I get the same 39 errors on ModDeleter.cfg mentione above.

Since I am not afraid to mess around the config files (hey, I had to learn Turbo Pascal 5 back in the day ;) ), is there a way to manually fix this? I would like to concentrate on clouds, I don't mind any glow or aurora not working. I don't need a step by step guide, just a hint to point me in the right direction.

It appears to me, though, that EVE has changed the structure/syntax of its .cfg files compared to the OPM clouds .cfg files. Am I seeing this correctly?

yup, this mod was designed for the old EVE.

@Eleusis La Arwall is the one who made the clouds, I only helped him merge the configs in a single download.

and since he hasn't made clouds for the new version of EVE this mod is pretty much stuck.

the only mod I know that adds clouds to OPM right now is @Poodmund's mod, but I know that also @The White Guardian is working on something

 

If you liked the clouds designed by eleusis, I think you can still use the old EVE.

I can probably give some moderate support, if you need something feel free to post here or pm me

 

cheers, Sigma

Share this post


Link to post
Share on other sites
This thread is quite old. Please consider starting a new thread rather than reviving this one.

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.